curl --request GET \
--url https://flows.super.ai/api/human-review-tasks/{task_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'import requests
url = "https://flows.super.ai/api/human-review-tasks/{task_id}"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://flows.super.ai/api/human-review-tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"flow_execution_id": "550e8400-e29b-41d4-a716-446655440000",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modified_by": "<string>",
"organization_id": "550e8400-e29b-41d4-a716-446655440000",
"source_task_execution_idx": 0,
"source_task_name": "process_document",
"status": "pending",
"target_task_execution_idx": 0,
"target_task_name": "receive_file",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2024-01-01T00:00:00Z",
"completed_by": "550e8400-e29b-41d4-a716-446655440000",
"instructions": "Please review the document and verify all dates are correct.",
"review_result": true,
"reviewed_output": {
"comments": "All dates are correct.",
"verified": true
},
"task_metadata": {
"priority": "high",
"source": "api"
}
}Get a human review task by ID
Get a human review task by its ID.
Returns the details of a specific human review task, including its status, instructions, review results, and completion information.
Context:
- Returns the full task details for the specified task ID
- Excludes soft-deleted tasks
- Authorization is handled by RLS policies (user must have access to the organization)
- Returns 404 if the task does not exist
Use Cases:
- View detailed information about a specific review task
- Display task details in a task management UI
- Check task status and review results
- Access task instructions and completion information
Related Endpoints:
- GET /human-review-tasks - List all tasks assigned to current user
- GET /human-review-tasks//assignments - List all assignments for a task
- POST /human-review-tasks//start - Start working on a task
- POST /human-review-tasks//complete - Complete a task
Authorizations
API key authentication. Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY
Example:
X-API-Key: saf_1234567890
JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Path Parameters
Response
Human review task retrieved successfully
Response model for human review task operations.
UUID of the flow execution this task is associated with.
"550e8400-e29b-41d4-a716-446655440000"
UUID of the organization this task belongs to.
"550e8400-e29b-41d4-a716-446655440000"
Index of the source task execution that created this review.
0
Name of the source task that created this review.
"process_document"
Status of the task. Valid values: 'pending', 'in_progress', 'completed'.
"pending"
Index of the target task execution.
0
Name of the target task being reviewed.
"receive_file"
Timestamp when the task was completed. Null for not completed tasks.
"2024-01-01T00:00:00Z"
UUID of the user who completed this task. Null for not completed tasks.
"550e8400-e29b-41d4-a716-446655440000"
Instructions for the human reviewer on how to complete this task.
"Please review the document and verify all dates are correct."
Review result: True for correct, False for incorrect, null for not yet finished.
true
JSON output of the completed review. Null for not yet completed tasks.
{
"comments": "All dates are correct.",
"verified": true
}
Additional metadata associated with the human review task.
{ "priority": "high", "source": "api" }